#
# File: BareMetal_GCC.make
#
# Copyright (c) 2017-2018, Code-Time Technologies Inc.
# All rights reserved.		
#

# NOTE:
# This Makefile includes "Common_GCC.make" which contains the common part of all makefiles
# It is done to simplify the work needed when something is changed for a target or for a demo #
# ----------------------------------------------------------------------------------------------------

MAKE_NAME := BareMetal_GCC.make				# For full re-build if I'm modified

											# The path order of in VPATH is important
VPATH   :=  ../../src						# This is due to multiple file with same names
VPATH   += :../../../Abassi
VPATH   += :../../../Platform/src
VPATH   += :../../../Drivers/src
VPATH   += :../../../Share/src

C_SRC   :=									# C sources with/without thumb (see THUMB above)
C_SRC   += BareMetalA9.c
C_SRC   += BareMetalApps.c
C_SRC   += SysCall_noFS.c
C_SRC   += TIMERinit.c
C_SRC   += dw_uart.c
											# Assembly files
S_SRC   :=
											# Object files
O_SRC   :=

AFLAGS   :=
CFLAGS   :=
LFLAGS   :=
LIBS     := 

# ----------------------------------------------------------------------------------------------------

C_INC   := 									# All "C" include files for dependencies
C_INC   += ../../../Abassi/uAbassi.h
C_INC   += ../../../Abassi/SysCall.h
C_INC   += ../../../Platform/inc/Platform.h
C_INC   += ../../../Platform/inc/HWinfo.h
C_INC   += ../../../Platform/inc/AbassiLib.h
C_INC   += ../../../Drivers/inc/dw_uart.h
											# Compiler command line options. The -I order is important
CFLAGS  += -O3 -g
CFLAGS  += -I../../inc
CFLAGS  += -I../../../Abassi
CFLAGS  += -I../../../Platform/inc
CFLAGS  += -I../../../Drivers/inc
CFLAGS  += -I../../../Share/inc

CFLAGS  += -DOS_TIMER_US=10000
CFLAGS  += -FOS_MP_TYPE=4U

# ----------------------------------------------------------------------------------------------------

include ../Common_GCC.make

# EOF

